Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.thumbnailgenerator
Class ThumbnailGenerator

    java.lang.Object
      scone.thumbnailgenerator.ThumbnailGenerator

    public class ThumbnailGenerator

extends java.lang.Object

This thumbnail-generator provides functionality to get a thumbnail-image of the contents displayed under a given URL. It uses the java web-browser package HTMLWindow (http://home.earthlink.net/~hheister/) written by Horst Heistermann.

Author:
  Frank Wollenweber

Constructor Summary
`ThumbnailGenerator()` constructor

Method Summary
`void` | `flush()` Flushes all resources being used by the image and the thumbnail
`void` | `generateThumbnail(SimpleUri sUri)` Generates a thumbnail of the document displayed at the specified URI
`void` | `generateThumbnail(java.net.URL url)` Generates a thumbnail of the document displayed at the specified URL
`java.awt.Image` | `getImage()` Get the document's full-sized image
`java.awt.Image` | `getThumbnail()` Get the thumbnail

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThumbnailGenerator

    public ThumbnailGenerator()

  constructor

Method Detail

### generateThumbnail

    public void generateThumbnail(SimpleUri sUri)

  Generates a thumbnail of the document displayed at the specified URI

  Parameters:
    `sUri` - get a thumbnail from this document

### generateThumbnail

    public void generateThumbnail(java.net.URL url)

  Generates a thumbnail of the document displayed at the specified URL

  Parameters:
    `url` - get a thumbnail from this document

### getThumbnail

    public java.awt.Image getThumbnail()

  Get the thumbnail

  Returns:
    thumbnail-image of the current document

### getImage

    public java.awt.Image getImage()

  Get the document's full-sized image

  Returns:
    image of the current document

### flush

    public void flush()

  Flushes all resources being used by the image and the thumbnail

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD